QGIS Application - Bug report #17142
DB Manager: error when adding a raster from GPKG
2017-09-14 01:07 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25041
Description

This was observed on master with ones of the GPKG samples:

http://www.geopackage.org/data/gdal sample v1.2 spi_nonlinear webp elevation.gpkg

Possibly affecting also other datasources.

The error message is in the attached images as is not possible to copy it from DB Manager message bar, the QGIS log shows an empty
message.

History

#1 - 2017-09-18 06:41 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#2 - 2017-09-18 06:44 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Cannot reproduce on master on Linux.

#3 - 2017-09-18 07:42 PM - Giovanni Manghi
- Status changed from Feedback to Open

Alessandro Pasotti wrote:

Cannot reproduce on master on Linux.

Hi Alessandro, | can only test on Windows this days. | just updated to 01468d0879 and still see it. Maybe this revision has not all the latest fixes?

#4 - 2017-09-19 08:18 AM - Alessandro Pasotti

If that's only on windows that's expected: gpkg raster support in GDAL 2.2.1 is broken on windows: you'll need at least GDAL 2.2.2RC1

#5 - 2017-09-19 09:15 AM - Giovanni Manghi
http://www.geopackage.org/data/gdal_sample_v1.2_spi_nonlinear_webp_elevation.gpkg

ok so maybe this can be closed already.

#6 - 2017-09-19 11:46 AM - Alessandro Pasotti

I'd leave this open until you are able to confirm that the new GDAL actually fixes it.

#7 - 2017-09-24 11:49 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

GDAL updated and fix is confirmed.
